# MIT Kerberos Documentation

Contents | previous | next | index | Search | feedback

# krb5_authenticator

`krb5_authenticator`

Ticket authenticator.

The C representation of an unencrypted authenticator.

## Declaration

typedef struct _krb5_authenticator krb5_authenticator

## Members

krb5_magic `krb5_authenticator.magic`

krb5_principal `krb5_authenticator.client`

  client name/realm

krb5_checksum * `krb5_authenticator.checksum`

  checksum, includes type, optional

krb5_int32 `krb5_authenticator.cusec`

  client usec portion

krb5_timestamp `krb5_authenticator.ctime`

  client sec portion

krb5_keyblock * `krb5_authenticator.subkey`

  true session key, optional

krb5_ui_4 `krb5_authenticator.seq_number`

  sequence #, optional

krb5_authdata ** `krb5_authenticator.authorization_data`

  authoriazation data